## helma.objectmodel
Interface ITransaction

    public interface ITransaction

This interface is kept for databases that are able to run transactions.

Field Summary
`static int` `ADDED`
`static int` `DELETED`
`static int` `UPDATED`

Method Summary
`void` `abort()` Rollback the transaction, forgetting the changed items
`void` `addResource(java.lang.Object res, int status)` Adds a resource to the list of resources encompassed by this transaction
`void` `commit()` Complete the transaction by making its changes persistent.

Field Detail

### ADDED

    static final int ADDED

See Also:
  Constant Field Values

### UPDATED

    static final int UPDATED

See Also:
  Constant Field Values

### DELETED

    static final int DELETED

See Also:
  Constant Field Values

Method Detail

### commit

    void commit()
                throws DatabaseException

  Complete the transaction by making its changes persistent.

  Throws:
    `DatabaseException`

### abort

    void abort()
               throws DatabaseException

  Rollback the transaction, forgetting the changed items

  Throws:
    `DatabaseException`

### addResource

    void addResource(java.lang.Object res,
                     int status)
                     throws DatabaseException

  Adds a resource to the list of resources encompassed by this transaction

  Parameters:
    `res` - the resource to add
    `status` - the status of the resource (ADDED|UPDATED|DELETED)
  Throws:
    `DatabaseException`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.